Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Export.h File Reference

`#include "ace/config-all.h"`

Include dependency graph for TAO_Export.h:

This graph shows which files directly or indirectly include this file:

## Defines

#define | TAO_HAS_DLL 1
#define | TAO_Export ACE_Proper_Import_Flag
#define | TAO_SINGLETON_DECLARATION(T) ACE_IMPORT_SINGLETON_DECLARATION (T)
#define | TAO_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_IMPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)

## Define Documentation

#define TAO_Export ACE_Proper_Import_Flag

#define TAO_HAS_DLL 1

#define TAO_SINGLETON_DECLARATION | ( | T |  | ) | ACE_IMPORT_SINGLETON_DECLARATION (T)

#define TAO_SINGLETON_DECLARE | ( | SINGLETON_TYPE,
|  | CLASS,
|  | LOCK |  | ) | ACE_IMPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)